Try our new Setup Skill to automatically integrate Hyperspell into your project
curl --request GET \
--url https://api.hyperspell.com/context-documents/staleness \
--header 'Authorization: Bearer <token>'{
"last_generated_at": "2023-11-07T05:31:56Z",
"resources_since": 123,
"sources_with_changes": [
"<string>"
],
"staleness_level": "<string>"
}Check if context documents are stale — i.e., underlying sources have changed since the last tree was generated.
Returns the number of resources modified since the last generation, which sources have new data, and a staleness level.
curl --request GET \
--url https://api.hyperspell.com/context-documents/staleness \
--header 'Authorization: Bearer <token>'{
"last_generated_at": "2023-11-07T05:31:56Z",
"resources_since": 123,
"sources_with_changes": [
"<string>"
],
"staleness_level": "<string>"
}API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.
Was this page helpful?